
Redmine - Feature #22058

Show image attachments and repo entries instead of downloading them

2016-02-17 10:41 - Jan from Planio www.plan.io

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed   

Description

For text file attachments and text files in a repository, we have a nice inline display in Redmine that even shows line numbers.

Images however are always just downloaded. It would be nice if they were displayed as well.

 Patch #21847_ Let mobile header be fixed - Redmine 2016-02-17 16-39-27.png 

Associated revisions

Revision 15322 - 2016-04-11 21:14 - Jean-Philippe Lang

Reduce view code duplication by using a nested layout for file rendering (#22058).

Patch by Jan Schulz-Hofen.

Revision 15323 - 2016-04-11 21:15 - Jean-Philippe Lang

Whitespace only change (#22058).

Patch by Jan Schulz-Hofen.

Revision 15324 - 2016-04-11 21:17 - Jean-Philippe Lang

Add inline image preview/display for attachments and repository entries (#22058).

Patch by Jan Schulz-Hofen.

Revision 15325 - 2016-04-11 21:19 - Jean-Philippe Lang

Whitespace only change (#22058).

Patch by Jan Schulz-Hofen.

Revision 15327 - 2016-04-11 21:27 - Jean-Philippe Lang

Fix max width and adds a top margin (#22058).

Revision 15328 - 2016-04-12 18:53 - Jean-Philippe Lang

Fix test failures (#22058).

Revision 15551 - 2016-06-18 09:42 - Jean-Philippe Lang

Add missing links to images in issue history (#22058).

Revision 15553 - 2016-06-18 09:45 - Jean-Philippe Lang

Merged r15551 (#22058).

History

#1 - 2016-02-17 10:43 - Jan from Planio www.plan.io

- Description updated

#2 - 2016-02-17 10:48 - Jan from Planio www.plan.io

- File image_preview_in_redmine.jpg added
- File 0001-Reduce-view-code-duplication-by-using-a-nested-layou.patch added

- File 0002-Whitespace-only-change.patch added

- File 0003-Add-inline-image-preview-display-for-attachments-and.patch added

- File 0004-Whitespace-only.patch added

- Assignee deleted (Jan from Planio www.plan.io)

- Target version set to Candidate for next minor release

Here's a patch series that adds this feature:

 image_preview_in_redmine.jpg 

#3 - 2016-04-11 14:02 - Jan from Planio www.plan.io

- File deleted (0003-Add-inline-image-preview-display-for-attachments-and.patch)

#4 - 2016-04-11 14:03 - Jan from Planio www.plan.io

- File 0003-Add-inline-image-preview-display-for-attachments-and.patch added

Rebasing patch onto current trunk.

#5 - 2016-04-18 14:09 - Go MAEDA

- Target version changed from Candidate for next minor release to 3.3.0

#6 - 2016-04-24 13:41 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

#7 - 2017-03-07 18:25 - Krzysztof Zielonka

Is any reason to use download_named_attachment_url in app/views/attachments/image.html.erb instead download_named_attachment_path?

#8 - 2017-04-03 14:40 - Toshi MARUYAMA

Krzysztof Zielonka wrote:

Is any reason to use download_named_attachment_url in app/views/attachments/image.html.erb instead download_named_attachment_path?

 FTR: #25295

Files

Patch #21847_ Let mobile header be fixed - Redmine 2016-02-17 16-39-27.png115 KB 2016-02-17 Jan from Planio www.plan.io

0001-Reduce-view-code-duplication-by-using-a-nested-layou.patch 3.32 KB 2016-02-17 Jan from Planio www.plan.io

0002-Whitespace-only-change.patch 2.14 KB 2016-02-17 Jan from Planio www.plan.io

image_preview_in_redmine.jpg 370 KB 2016-02-17 Jan from Planio www.plan.io

0004-Whitespace-only.patch 949 Bytes 2016-02-17 Jan from Planio www.plan.io

0003-Add-inline-image-preview-display-for-attachments-and.patch 4.97 KB 2016-04-11 Jan from Planio www.plan.io
